from Converter import *

def main():
    print('Welcome to the English-Metric Converter!')
    showKelvin = input('On Temp conversions, would you also like to see degrees Kelvin (K) in the results? (Y/N):')
    
    showKelvin = ('y' in showKelvin or 'Y' in showKelvin)
        
    choice = -1
    
    while(not choice == 0):
        
        try:
            choice = int(input("Conversion? (1=Mi-to-Km, 2=Oz-to-Gr, 3=F-to-C, 4=C-to-F, 5=M-to-Ft, 6=Li-to-Gal, 7=Toggle K, 0=end): "))
            
            unit = ''
            
            if(choice == 1):
                unit = 'miles'
                inputValue = float(input("Enter your Miles: "))
                
                outputValue = Converter.MitoKm(inputValue)
                
                print('The distance of {} mile(s) = {:.3f} kilometers.'.format(inputValue, outputValue))
            elif(choice == 2):
                unit = 'ounces'
                inputValue = float(input("Enter the ounces: "))
                
                outputValue = Converter.OztoG(inputValue)
                
                print('The weight of {} ounce(s) = {:.3f} grams.'.format(inputValue, outputValue))
            elif(choice == 3):
                unit = 'fahrenheit'
                inputValue = float(input("Enter your Fahrenheit temperature: "))
                
                kelvinValue = Converter.FtoDegreesK(inputValue)
                outputValue = Converter.FtoC(inputValue)
                
                print('A temp of {} Fahrenheit = {} Celsius.'.format(inputValue, outputValue))
                
                if(showKelvin):
                    print('This is also a temperature of: {:.3f} Kelvin'.format(kelvinValue))
                
            elif(choice == 4):
                unit = 'celsius'
                inputValue = float(input("Enter your Celsius temperature: "))
                
                kelvinValue = Converter.CtoDegreesK(inputValue)
                outputValue = Converter.CtoF(inputValue)
                
                print('A temp of {} Celsius = {} Fahrenheit.'.format(inputValue, outputValue))
                
                if(showKelvin):
                    
                    print('This is also a temperature of: {:.3f} Kelvin'.format(kelvinValue))
                    
            elif(choice == 5):
                unit = 'meters'
                inputValue = float(input("Enter your Meters: "))
                
                outputValue = Converter.MtoFe(inputValue)
                
                print('The distance of {} Meters = {:.3f} Feet.'.format(inputValue, outputValue))
            elif(choice == 6):
                unit = 'liters'
                inputValue = float(input("Enter your Liters: "))
                
                outputValue = Converter.LittoGal(inputValue)
                
                print('The volume of {} liter(s) = {:.3f} gallons.'.format(inputValue, outputValue))
            
            elif(choice == 7):
                
                if(showKelvin):
                    showKelvin = False
                else:
                    showKelvin = True
                
            
        except ValueError:
            print("General Error: {} must be numeric.".format(unit))
        except ConverterException as ex:
            print(ex)
        
        
    
    print("Thanks for using the converter!")
    
    
    
if __name__ == '__main__':
    main()
    