

class ConverterException(Exception):
    
    pass


class Converter:
    
    @staticmethod
    def MitoKm(Mi):
        if(Mi < 0):
            raise ConverterException("Data Error: miles must be a positive number")
            
        KM = 1.60934 * Mi
        
        return KM
    
    @staticmethod
    def MtoFe(M):
        if(M < 0):
            raise ConverterException("Data Error: ounce must be a positive number")
            
        Fe = 3.2808 * M
        
        return Fe
    
    @staticmethod
    def OztoG(Oz):
        if(Oz < 0):
            raise ConverterException("Data Error: Oz must be a positive number")
            
        G = 28.3495 * Oz
        
        return G
    
    @staticmethod
    def LittoGal(Lit):
        
        if(Lit < 0):
            raise ConverterException("Data Error: liters must be a positive number")
            
        Gal = 0.26417 * Lit
        
        return Gal
    
    @staticmethod
    def FtoDegreesK(F):
        
        C = Converter.FtoC(F)
        
        K = C + 273.15
        
        if(K < 0):
            raise ConverterException("This temperature is not possible, as it is below 0 K")
        
        return K
        
    
    @staticmethod
    def CtoDegreesK(C):
        K = C + 273.15
        
        if(K < 0):
            raise ConverterException("This temperature is not possible, as it is below 0 K")
        
        return K
    
    @staticmethod
    def CtoF(C):
        
        F = ((9 / 5) * C ) + 32
        
        return F
    
    @staticmethod
    def FtoC(F):
        
        C = (5 / 9) * (F - 32)
        
        return C
        
    